Subject: Re: bug#7513: 24.0.50; shell-command-default-error-buffer should always append to the bottom

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2019 17:07:19 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 21 Aug 2019 15:05:36 -0700
> Cc: [email-masked], [email-masked]
> 
> I looked at the commit history, and it doesn't seem to explain why we
> don't just append:
> 
> commit cc039f78e544719115e277364378c217156c958f
> Author: Karl Heuer <[email-masked]>
> Date:   Mon Mar 1 03:19:32 1999 +0000
> 
>     (shell-command-default-error-buffer): Renamed from
>     shell-command-on-region-default-error-buffer.
>     (shell-command-on-region): Mention in echo area when there
>     is some error output.  Mention success or failure, too.
>     Accumulate multiple error outputs
>     going forward, with formfeed in between.  Display the error buffer
>     when we have put something in it.
> 
> Does anybody object to rewriting it to just append the error messages to
> the end of the buffer?

I'm not sure I understand: you want to lose the ^L separators?  Or
something else?